#version 130

uniform sampler2D texture0;

in vec4 color;
in  vec2 texCoord;
out vec4 outColor;

void main(void) {
	vec4 _color = color;
	_color.r = _color.r * 0.2274+0.4;
	_color.g = _color.g * 0.5+0.4;
	_color.b = _color.b * 0.8+0.4;
	outColor = _color*texture(texture0, texCoord.st);
	if(outColor.a < 0.3)
		discard;
}
